Bug 83977

Summary: [ucom] [panic] ucom1: open bulk out error (addr 2): IN_USE
Product: Base System Reporter: Paul R. Yaskowski <paul>
Component: usbAssignee: freebsd-usb (Nobody) <usb>
Status: Open ---    
Severity: Affects Only Me    
Priority: Normal    
Version: Unspecified   
Hardware: Any   
OS: Any   

Description Paul R. Yaskowski 2005-07-24 04:40:10 UTC
While running 'faxaddmodem' from hylafax-4.2.1 in 5.4-R on a PowerEdge
2850 the system will halt and reboot with the following:

---
How should it be configured [1]?

Hmm, this looks like a Class 1 modem.
stty: tcsetattr: Invalid argument
Product code (ATI0) is "LT V.90 1.0 MT5634ZBA-USB Data/Fax Modem (Dual Config) Version 8.27l".
/dev/ucom0: Input/output error
---

Upon restart the following is found in the syslog:

---
Jul 23 22:50:12 mercury kernel: ucom0: open bulk out error (addr 2): IN_USE
---

Unfortunately a dump device is not set, and this is a remote machine so
I do not have the console dump.

Modems connected to system are Multitech MT5634ZBA-USB

Full dmesg:

---
Copyright (c) 1992-2005 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD 5.4-RELEASE #0: Thu Jul  7 21:45:33 EDT 2005
    root@mercury.adler.local:/usr/src/sys/i386/compile/MERCURY
ACPI APIC Table: <DELL   PE BKC  >
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Xeon(TM) CPU 3.00GHz (2992.71-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0xf43  Stepping = 3
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Hyperthreading: 2 logical CPUs
real memory  = 2147221504 (2047 MB)
avail memory = 2095767552 (1998 MB)
ioapic0: Changing APIC ID to 2
ioapic1: Changing APIC ID to 3
ioapic1: WARNING: intbase 32 != expected base r24
ioapic2: Changing APIC ID to 4
ioapic2: WARNING: intbase 64 != expected base r56
ioapic3: Changing APIC ID to 5
ioapic3: WARNING: intbase 96 != expected base r88
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 32-55 on motherboard
ioapic2 <Version 2.0> irqs 64-87 on motherboard
ioapic3 <Version 2.0> irqs 96-119 on motherboard
npx0: <math processor> on motherboard
npx0: INT 16 interface
acpi0: <DELL PE BKC> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
cpu0: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 2.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> at device 0.0 on pci1
pci2: <ACPI PCI bus> on pcib2
mpt0: <LSILogic 1030 Ultra4 Adapter> port 0xec00-0xecff mem 0xdfde0000-0xdfdeffff,0xdfdf0000-0xdfdfffff irq 34 at device 5.0 on pci2
mpt1: <LSILogic 1030 Ultra4 Adapter> port 0xe800-0xe8ff mem 0xdfdc0000-0xdfdcffff,0xdfdd0000-0xdfddffff irq 33 at device 5.1 on pci2
pcib3: <ACPI PCI-PCI bridge> at device 0.2 on pci1
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pci4: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> at device 0.0 on pci4
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> at device 0.2 on pci4
pci6: <ACPI PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> at device 4.0 on pci0
pci7: <ACPI PCI bus> on pcib7
pcib8: <ACPI PCI-PCI bridge> at device 0.0 on pci7
pci8: <ACPI PCI bus> on pcib8
amr0: <LSILogic MegaRAID 1.51> mem 0xdf9c0000-0xdf9fffff,0xdaff0000-0xdaffffff irq 18 at device 14.0 on pci8
amr0: <LSILogic PERC 4e/DC> Firmware 521S, BIOS H430, 128MB RAM
pcib9: <ACPI PCI-PCI bridge> at device 0.2 on pci7
pci9: <ACPI PCI bus> on pcib9
pcib10: <ACPI PCI-PCI bridge> at device 5.0 on pci0
pci12: <ACPI PCI bus> on pcib10
pcib11: <ACPI PCI-PCI bridge> at device 0.0 on pci12
pci13: <ACPI PCI bus> on pcib11
em0: <Intel(R) PRO/1000 Network Connection, Version - 1.7.35> port 0xccc0-0xccff mem 0xdf6e0000-0xdf6fffff irq 64 at device 7.0 on pci13
em0: Ethernet address: 00:11:43:e9:73:e8
em0:  Speed:N/A  Duplex:N/A
pcib12: <ACPI PCI-PCI bridge> at device 0.2 on pci12
pci14: <ACPI PCI bus> on pcib12
em1: <Intel(R) PRO/1000 Network Connection, Version - 1.7.35> port 0xbcc0-0xbcff mem 0xdf4e0000-0xdf4fffff irq 65 at device 8.0 on pci14
em1: Ethernet address: 00:11:43:e9:73:e9
em1:  Speed:N/A  Duplex:N/A
pcib13: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci15: <ACPI PCI bus> on pcib13
uhci0: <Intel 82801EB (ICH5) USB controller USB-A> port 0x8ce0-0x8cff irq 16 at device 29.0 on pci0
usb0: <Intel 82801EB (ICH5) USB controller USB-A> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 82801EB (ICH5) USB controller USB-B> port 0x8cc0-0x8cdf irq 19 at device 29.1 on pci0
usb1: <Intel 82801EB (ICH5) USB controller USB-B> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
uhci2: <Intel 82801EB (ICH5) USB controller USB-C> port 0x8ca0-0x8cbf irq 18 at device 29.2 on pci0
usb2: <Intel 82801EB (ICH5) USB controller USB-C> on uhci2
usb2: USB revision 1.0
uhub2: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub2: 2 ports with 2 removable, self powered
pci0: <serial bus, USB> at device 29.7 (no driver attached)
pcib14: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci18: <ACPI PCI bus> on pcib14
pci18: <display, VGA> at device 13.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH5 UDMA100 controller> port 0xfc00-0xfc0f,0x376,0x170-0x177,0x3f6,0x1f0-0x1f7 at device 31.1 on pci0
ata0: channel #0 on atapci0
ata1: channel #1 on atapci0
fdc0: <floppy drive controller> port 0x3f7,0x3f0-0x3f5 irq 6 drq 2 on acpi0
fd0: <1440-KB 3.5" drive> on fdc0 drive 0
atkbdc0: <Keyboard controller (i8042)> port 0x64,0x60 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: model IntelliMouse, device ID 3
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xec000-0xeffff,0xcb000-0xcb7ff,0xc0000-0xcafff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
uhub3: Dell product 0xa001, class 9/0, rev 2.00/0.00, addr 2
uhub3: 2 ports with 2 removable, self powered
ucom0: Multi-Tech Systems, Inc. MultiModemUSB, rev 1.00/1.00, addr 2, iclass 2/2
ucom0: data interface 1, has CM over data, has break
ucom0: status change notification available
ucom1: Multi-Tech Systems, Inc. MultiModemUSB, rev 1.00/1.00, addr 3, iclass 2/2
ucom1: data interface 1, has CM over data, has break
ucom1: status change notification available
Timecounter "TSC" frequency 2992709325 Hz quality 800
Timecounters tick every 10.000 msec
acd0: CDROM <SAMSUNG CD-ROM SN-124/N104> at ata0-master PIO4
Waiting 15 seconds for SCSI devices to settle
amrd0: <LSILogic MegaRAID logical drive> on amr0
amrd0: 2002560MB (4101242880 sectors) RAID 5 (optimal)
ses0 at amr0 bus 0 target 6 lun 0
ses0: <PE/PV 1x8 SCSI BP 1.0> Fixed Processor SCSI-2 device
ses0: SAF-TE Compliant Device
sa0 at amr0 bus 1 target 1 lun 0
sa0: <IBM ULTRIUM-TD2 4C60> Removable Sequential Access SCSI-3 device
Mounting root from ufs:/dev/amrd0s1a
WARNING: / was not properly dismounted
/: mount pending error: blocks 8 files 0
ch0 at amr0 bus 1 target 0 lun 0
ch0: <EXABYTE LTO 1x7 2U B006> Removable Changer SCSI-4 device
ch0: 7 slots, 1 drive, 1 picker, 0 portals
em0: Link is up 1000 Mbps Full Duplex
---

How-To-Repeat: Running 'faxaddmodem' does it everytime with either of the two USB
modems connected.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:05 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped